﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Folder Include="CommandRepositories\" />
    <Folder Include="Rules\" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="10.1.1" />
    <PackageReference Include="Dapper" Version="2.0.143" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\EventTicketing.WebAPI.Shared\EventTicketing.WebAPI.Shared.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="SqlQueries\UserQueries.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>UserQueries.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="SqlQueries\UserQueries.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>UserQueries.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

</Project>
